Get Redeemable List

​

Pulls a list of all redeemables available and defined at the business level.

To call this API, the offers ingestion option must be enabled for the business on the Punchh platform. Contact your Punchh representative to update this Punchh platform configuration.

Redeemable search is on a business level, and the request can:

  • Set search limits and order by descending search
  • Filter based on name and description

For more information, see Offers Ingestion Management

Headers

  • Set this header to application/json

  • Set this header to application/json

  • Bearer token for admin authorization, who is making a call on behalf of the customer. Send the API key in the following format: "Authorization: Bearer BUSINESS_ADMIN_KEY_GOES_HERE".

Body

application/json
  • Number of pages to retrieve. If the requested number exceeds the available pages, the system will retrieve up to the last valid page. If the page value is not provided, the default value is used.

  • Number of records per page. If the per_page value is not provided, the default value is used. The maximum per_page value is enforced based on the OFFERS_LIST_MAX_PER_PAGE environment variable.

  • Define the search string on the redeemable name column

Responses

  • application/json
  • application/json
  • application/json
  • application/json
  • application/json
Request Example for get/api2/dashboard/offers/redeemable
curl https://SERVER_NAME_GOES_HERE.punchh.com/api2/dashboard/offers/redeemable \
  --header 'Authorization: Bearer BUSINESS_ADMIN_KEY_GOES_HERE' \
  --header 'Content-Type: application/json' \
  --data '{
  "query": "free",
  "page": 1,
  "per_page": 20
}'
{
  "meta": {
    "page": 1,
    "per_page": 20,
    "total_records": 171
  },
  "data": [
    {
      "name": "Redeemable offer 51",
      "image": "IMAGE_URL_GOES_HERE",
      "allow_for_support_gifting": true,
      "available_as_template": false,
      "auto_applicable": true,
      "start_time": null,
      "expiry_days": null,
      "segment_definition_id": null,
      "end_time": "2024-08-29T23:59:59Z",
      "timezone": "Australia/Darwin",
      "remind_before": 3,
      "discount_channel": "all",
      "points": 12,
      "activate_now": true,
      "applicable_as_loyalty_redemption": false,
      "expire_redemption_code_with_reward_end_date": false,
      "template": {
        "redemption_message": "true",
        "short_prompt": "true",
        "standard_prompt": "true"
      },
      "effective_location": null,
      "lag_duration": {
        "value": 2,
        "units": "days"
      },
      "recurrence_schedule": {
        "occurrences": 10,
        "days_distance": 2
      },
      "meta_data": "meta data here",
      "distributable": true,
      "alternate_locale_name": [
        {
          "language": "es",
          "translation": "redeemable name in ES language"
        },
        {
          "language": "fr",
          "translation": null
        },
        {
          "language": "ro",
          "translation": null
        }
      ],
      "alternate_locale_description": [
        {
          "language": "es",
          "translation": "description in ES language"
        },
        {
          "language": "fr",
          "translation": null
        },
        {
          "language": "ro",
          "translation": "desc ro"
        }
      ],
      "external_id": "EXTERNAL_ID_GOES_HERE",
      "indefinetely": false,
      "redemption_code_expiry_mins": 4,
      "distributable_to_all_users": true,
      "receipt_rule": {
        "qualifier_type": "new",
        "discount_amount": null,
        "redeeming_criterion_id": "2999f340-26ec-4391-8256-dba634f5ec37",
        "redeeming_criterion": {
          "name": "Redeemable offer 50-Qualifier",
          "external_id": "EXTERNAL_ID_GOES_HERE",
          "amount_cap": 3,
          "rounding_rule": "floor",
          "max_discount_units": 2,
          "target_price": 1,
          "effective_location": "location:385421",
          "stack_discounting": false,
          "reuse_qualifying_items": false,
          "enable_menu_item_aggregator": false,
          "minimum_unit_rate": 0.01,
          "unit_discount": 10,
          "receipt_qualifiers": [
            {
              "attribute": "amount",
              "operator": "in",
              "value": "1"
            },
            {
              "attribute": "receipt_day",
              "operator": "in",
              "value": "10"
            },
            {
              "attribute": "subtotal_amount",
              "operator": ">=",
              "value": "10"
            },
            {
              "attribute": "receipt_month",
              "operator": "==",
              "value": "10"
            },
            {
              "attribute": "receipt_year",
              "operator": "==",
              "value": "2024"
            },
            {
              "attribute": "revenue_code",
              "operator": "in",
              "value": "Online"
            },
            {
              "attribute": "revenue_id",
              "operator": "in",
              "value": "10"
            },
            {
              "attribute": "employee_id",
              "operator": "in",
              "value": "10"
            },
            {
              "attribute": "employee_name",
              "operator": "in",
              "value": "john"
            },
            {
              "attribute": "receipt_week",
              "operator": "==",
              "value": "10"
            },
            {
              "attribute": "receipt_min",
              "operator": "in",
              "value": "10"
            },
            {
              "attribute": "channel",
              "operator": "in",
              "value": "POS"
            },
            {
              "attribute": "transaction_no",
              "operator": "mod",
              "value": "1001"
            }
          ],
          "percentage_of_processed_amount": 10,
          "qc_processing_function": "rate_rollback",
          "line_item_filters": [
            {
              "quantity": null,
              "processing_method": "max_price",
              "line_item_selector": {
                "name": "Pizzaa",
                "external_id": "EXTERNAL_ID_GOES_HERE",
                "exclude_non_payable": false,
                "filter_item_set": "base_only",
                "base_items": {
                  "clauses": [
                    {
                      "attribute": "item_id",
                      "operator": "==",
                      "value": "219"
                    }
                  ]
                },
                "modifiers": {
                  "processing_method": "",
                  "max_discount_units": null,
                  "clauses": []
                }
              }
            },
            {
              "quantity": 1,
              "processing_method": "",
              "line_item_selector": {
                "name": "Pizzaa",
                "external_id": "EXTERNAL_ID_GOES_HERE",
                "exclude_non_payable": false,
                "filter_item_set": "base_only",
                "base_items": {
                  "clauses": [
                    {
                      "attribute": "item_id",
                      "operator": "==",
                      "value": "219"
                    }
                  ]
                },
                "modifiers": {
                  "processing_method": "",
                  "max_discount_units": null,
                  "clauses": []
                }
              }
            },
            {
              "quantity": 5,
              "processing_method": "max_price",
              "line_item_selector": {
                "name": "Pizzaa",
                "external_id": "EXTERNAL_ID_GOES_HERE",
                "exclude_non_payable": false,
                "filter_item_set": "base_only",
                "base_items": {
                  "clauses": [
                    {
                      "attribute": "item_id",
                      "operator": "==",
                      "value": "219"
                    }
                  ]
                },
                "modifiers": {
                  "processing_method": "",
                  "max_discount_units": null,
                  "clauses": []
                }
              }
            },
            {
              "quantity": 5,
              "processing_method": "min_price",
              "line_item_selector": {
                "name": "Pizzaa",
                "external_id": "EXTERNAL_ID_GOES_HERE",
                "exclude_non_payable": false,
                "filter_item_set": "base_only",
                "base_items": {
                  "clauses": [
                    {
                      "attribute": "item_id",
                      "operator": "==",
                      "value": "219"
                    }
                  ]
                },
                "modifiers": {
                  "processing_method": "",
                  "max_discount_units": null,
                  "clauses": []
                }
              }
            },
            {
              "quantity": 5,
              "processing_method": "min_price",
              "line_item_selector": {
                "name": "Pizzaa",
                "external_id": "EXTERNAL_ID_GOES_HERE",
                "exclude_non_payable": false,
                "filter_item_set": "base_only",
                "base_items": {
                  "clauses": [
                    {
                      "attribute": "item_id",
                      "operator": "==",
                      "value": "219"
                    }
                  ]
                },
                "modifiers": {
                  "processing_method": "",
                  "max_discount_units": null,
                  "clauses": []
                }
              }
            }
          ],
          "item_qualifiers": [
            {
              "expression_type": "net_quantity_greater_than_or_equal_to",
              "net_value": 1,
              "line_item_selector": {
                "name": "Pizzaa",
                "external_id": "EXTERNAL_ID_GOES_HERE",
                "exclude_non_payable": false,
                "filter_item_set": "base_only",
                "base_items": {
                  "clauses": [
                    {
                      "attribute": "item_id",
                      "operator": "==",
                      "value": "219"
                    }
                  ]
                },
                "modifiers": {
                  "processing_method": "",
                  "max_discount_units": null,
                  "clauses": []
                }
              }
            },
            {
              "expression_type": "net_quantity_greater_than_or_equal_to",
              "net_value": 1,
              "line_item_selector": {
                "name": "Pizzaa",
                "external_id": "EXTERNAL_ID_GOES_HERE",
                "exclude_non_payable": false,
                "filter_item_set": "base_only",
                "base_items": {
                  "clauses": [
                    {
                      "attribute": "item_id",
                      "operator": "==",
                      "value": "219"
                    }
                  ]
                },
                "modifiers": {
                  "processing_method": "",
                  "max_discount_units": null,
                  "clauses": []
                }
              }
            },
            {
              "expression_type": "net_quantity_greater_than_or_equal_to",
              "net_value": 1,
              "line_item_selector": {
                "name": "Pizzaa",
                "external_id": "EXTERNAL_ID_GOES_HERE",
                "exclude_non_payable": false,
                "filter_item_set": "base_only",
                "base_items": {
                  "clauses": [
                    {
                      "attribute": "item_id",
                      "operator": "==",
                      "value": "219"
                    }
                  ]
                },
                "modifiers": {
                  "processing_method": "",
                  "max_discount_units": null,
                  "clauses": []
                }
              }
            },
            {
              "expression_type": "net_quantity_greater_than_or_equal_to",
              "net_value": 1,
              "line_item_selector": {
                "name": "Pizzaa",
                "external_id": "EXTERNAL_ID_GOES_HERE",
                "exclude_non_payable": false,
                "filter_item_set": "base_only",
                "base_items": {
                  "clauses": [
                    {
                      "attribute": "item_id",
                      "operator": "==",
                      "value": "219"
                    }
                  ]
                },
                "modifiers": {
                  "processing_method": "",
                  "max_discount_units": null,
                  "clauses": []
                }
              }
            }
          ],
          "aggregator_grouping_attributes": {
            "item_name": true,
            "item_id": false,
            "item_major_group": false,
            "item_family": false,
            "line_item_type": false
          }
        }
      }
    }
  ]
}